//  Converting V1290n TDC data into ROOT file in Sep 4th, 2023 by mryu

int convert_V1290nDataIntoRoot(const int rn, const int nevt) {

  gROOT->Reset();

  const Int_t LINE_SIZE = 1000;
  char line[LINE_SIZE];

  struct data_t {
    Int_t EvtCnt;
    Int_t EvtNum;
    Int_t ch0;
    Int_t ch1;
    Int_t ch2;
    Int_t ch3;
    Int_t ch4;
    Int_t ch5;
    Int_t ch6;
    Int_t ch7;
    Int_t ch8;
    Int_t ch9;
    Int_t ch10;
    Int_t ch11;
    Int_t ch12;
    Int_t ch13;
    Int_t ch14;
    Int_t ch15;
  };
  data_t t;


 
  //open the ASCII file
      //  FILE *fp = fopen("./data/V792nQDC_EventData.txt", "r");
  //  printf(Form("./data/rn%d_V1290_DataAll_evts%d.txt", rn, nevt));
  FILE *fp = fopen(Form("./data/rn%d_V1290_DataAll_evts%d.txt", rn, nevt), "r");
      
  //create a new ROOT file
  //  TFile *f = new TFile("./data/V792nQDC_EventData.root", "RECREATE");
  TFile *f = new TFile(Form("./data/rn%d_V1290_DataAll_evts%d.root", rn, nevt),"RECREATE");

  //create a TTree
  //  TTree *T = new TTree("T", "data from caen QDC792n ");
  TTree *T = new TTree("T", "data from caen TDC1290n ");

  //create one branch with all info from the structure
  T->Branch("t", &t.EvtCnt,"EvtCnt/I:EvtNum:ch0:ch1:ch2:ch3:ch4:ch5:ch6:ch7:ch8:ch9:ch10:ch11:ch12:ch13:ch14:ch15");

  //fill the tree from the values in ASCII file
  while(fgets(line, LINE_SIZE, fp)){
    sscanf(line, "%6d %6d %12d %12d %12d %12d %12d %12d %12d %12d %12d %12d %12d %12d %12d %12d %12d %12d", 
	    &t.EvtCnt, &t.EvtNum, &t.ch0, &t.ch1, &t.ch2, &t.ch3, &t.ch4, &t.ch5, &t.ch6, &t.ch7, &t.ch8, &t.ch9, &t.ch10, &t.ch11, &t.ch12, &t.ch13, &t.ch14, &t.ch15);

    T->Fill();
  }
  
  f->ls();

  T->Print();
  //  T->Scan("*");
  
  fclose(fp);
  f->Write();

  return 0;
}


