//  Code for "Distribution of GEM hole size" at June 12 2013 by mryu
// usage: root -l 'sGEM_size_plot.C'

int convert_V1290nPlotFromRoot(int rn, int nevt) {

  gROOT->Reset();
  TStyle* ryuStyle = new TStyle("ryuStyle","");
    gStyle->SetOptFit(1111);
    gStyle->SetOptStat(1111111);
    // text size in stat box 
    gStyle->SetStatW(0.2);
    gStyle->SetStatH(0.2);
    // text size in histogram title
    gStyle->SetTitleH(0.1);
    gStyle->SetTitleSize(0.05);
 
    //  TFile *f = new TFile("data/V792nQDC_EventData.root");
  TFile *f = new TFile(Form("./data/rn%d_V1290_DataAll_evts%d.root", rn, nevt));
  TTree* T = (TTree*)f->Get("T");
  T->Print();

  // create hst file
  TFile *hst=new TFile(Form("./data/rn%d_V1290_DataAll_evts%d.hst", rn, nevt),"recreate");

  TH1F* tCnt = new TH1F("tCnt", "tCnt", 100, 0., 1000.);
  TH1F* tEvt = new TH1F("tEvt", "tEvt", 100, 0., 1000.);
  //  TH1F* tCh0 = new TH1F("tCh0", "tCh0", 210, 0., 4200.);
  TH1F* tCh0 = new TH1F("tCh0", "tCh0", 210000, 0., 42000000.); //time reference
  TH1F* tCh1 = new TH1F("tCh1", "tCh1", 6000, 0., 12000.);
  TH1F* tCh2 = new TH1F("tCh2", "tCh2", 210, 0., 4200.);
  TH1F* tCh3 = new TH1F("tCh3", "tCh3", 210, 0., 4200.);
  TH1F* tCh4 = new TH1F("tCh4", "tCh4", 210, 0., 4200.);
  TH1F* tCh5 = new TH1F("tCh5", "tCh5", 210, 0., 4200.);
  TH1F* tCh6 = new TH1F("tCh6", "tCh6", 210, 0., 4200.);
  TH1F* tCh7 = new TH1F("tCh7", "tCh7", 210, 0., 4200.);
  TH1F* tCh8 = new TH1F("tCh8", "tCh8", 210, 0., 4200.);
  TH1F* tCh9 = new TH1F("tCh9", "tCh9", 210, 0., 4200.);
  TH1F* tCh10 = new TH1F("tCh10", "tCh10", 210, 0., 4200.);
  TH1F* tCh11 = new TH1F("tCh11", "tCh11", 210, 0., 4200.);
  TH1F* tCh12 = new TH1F("tCh12", "tCh12", 210, 0., 4200.);
  TH1F* tCh13 = new TH1F("tCh13", "tCh13", 210, 0., 4200.);
  TH1F* tCh14 = new TH1F("tCh14", "tCh14", 210, 0., 4200.);
  TH1F* tCh15 = new TH1F("tCh15", "tCh15", 210, 0., 4200.);

  tCh0->GetXaxis()->SetTitle("TDC ch"); 
  tCh1->GetXaxis()->SetTitle("TDC ch"); 
  tCh2->GetXaxis()->SetTitle("TDC ch"); 
  tCh3->GetXaxis()->SetTitle("TDC ch"); 
  tCh4->GetXaxis()->SetTitle("TDC ch"); 
  tCh5->GetXaxis()->SetTitle("TDC ch"); 
  tCh6->GetXaxis()->SetTitle("TDC ch"); 
  tCh7->GetXaxis()->SetTitle("TDC ch"); 
  tCh8->GetXaxis()->SetTitle("TDC ch"); 
  tCh9->GetXaxis()->SetTitle("TDC ch"); 
  tCh10->GetXaxis()->SetTitle("TDC ch");
  tCh11->GetXaxis()->SetTitle("TDC ch");
  tCh12->GetXaxis()->SetTitle("TDC ch");
  tCh13->GetXaxis()->SetTitle("TDC ch");
  tCh14->GetXaxis()->SetTitle("TDC ch");
  tCh15->GetXaxis()->SetTitle("TDC ch");

  T->Draw("EvtCnt>>tCnt");
  T->Draw("EvtNum>>tEvt");
  T->Draw("ch0>>tCh0");
  T->Draw("ch1>>tCh1");
  T->Draw("ch2>>tCh2");
  T->Draw("ch3>>tCh3");
  T->Draw("ch4>>tCh4");
  T->Draw("ch5>>tCh5");
  T->Draw("ch6>>tCh6");
  T->Draw("ch7>>tCh7");
  T->Draw("ch8>>tCh8");
  T->Draw("ch9>>tCh9");
  T->Draw("ch10>>tCh10");
  T->Draw("ch11>>tCh11");
  T->Draw("ch12>>tCh12");
  T->Draw("ch13>>tCh13");
  T->Draw("ch14>>tCh14");
  T->Draw("ch15>>tCh15");

  
 // DRAWING DATA
  TCanvas* c1 = new TCanvas("c1"," ch0-7",0,0,1200,1000);
  c1->SetBottomMargin(0.1);
  TCanvas* c2 = new TCanvas("c2"," ch8-15",1200,0,1200,1000);
  c2->SetBottomMargin(0.1);

  Double_t XLabelSize = 0.06;
  tCh0->GetXaxis()->SetLabelSize(XLabelSize); 
  tCh1->GetXaxis()->SetLabelSize(XLabelSize); 
  tCh2->GetXaxis()->SetLabelSize(XLabelSize); 
  tCh3->GetXaxis()->SetLabelSize(XLabelSize); 
  tCh4->GetXaxis()->SetLabelSize(XLabelSize); 
  tCh5->GetXaxis()->SetLabelSize(XLabelSize); 
  tCh6->GetXaxis()->SetLabelSize(XLabelSize); 
  tCh7->GetXaxis()->SetLabelSize(XLabelSize); 
  tCh8->GetXaxis()->SetLabelSize(XLabelSize); 
  tCh9->GetXaxis()->SetLabelSize(XLabelSize); 
  tCh10->GetXaxis()->SetLabelSize(XLabelSize);
  tCh11->GetXaxis()->SetLabelSize(XLabelSize);
  tCh12->GetXaxis()->SetLabelSize(XLabelSize);
  tCh13->GetXaxis()->SetLabelSize(XLabelSize);
  tCh14->GetXaxis()->SetLabelSize(XLabelSize);
  tCh15->GetXaxis()->SetLabelSize(XLabelSize);

  Double_t YLabelSize = 0.06;
  tCh0->GetYaxis()->SetLabelSize(YLabelSize); 
  tCh1->GetYaxis()->SetLabelSize(YLabelSize); 
  tCh2->GetYaxis()->SetLabelSize(YLabelSize); 
  tCh3->GetYaxis()->SetLabelSize(YLabelSize); 
  tCh4->GetYaxis()->SetLabelSize(YLabelSize); 
  tCh5->GetYaxis()->SetLabelSize(YLabelSize); 
  tCh6->GetYaxis()->SetLabelSize(YLabelSize); 
  tCh7->GetYaxis()->SetLabelSize(YLabelSize); 
  tCh8->GetYaxis()->SetLabelSize(YLabelSize); 
  tCh9->GetYaxis()->SetLabelSize(YLabelSize); 
  tCh10->GetYaxis()->SetLabelSize(YLabelSize);
  tCh11->GetYaxis()->SetLabelSize(YLabelSize);
  tCh12->GetYaxis()->SetLabelSize(YLabelSize);
  tCh13->GetYaxis()->SetLabelSize(YLabelSize);
  tCh14->GetYaxis()->SetLabelSize(YLabelSize);
  tCh15->GetYaxis()->SetLabelSize(YLabelSize);

  c1->Divide (2, 4);
  c1->cd(1); tCh0->Draw(); gPad->SetLogx(1);
  c1->cd(2); tCh1->Draw(); gPad->SetLogx(0);
  c1->cd(3); tCh2->Draw();
  c1->cd(4); tCh3->Draw();
  c1->cd(5); tCh4->Draw();
  c1->cd(6); tCh5->Draw();
  c1->cd(7); tCh6->Draw();
  c1->cd(8); tCh7->Draw();
  c1->Modified();
  c1->Update();
  c1->Print(Form("./data/rn%d_V1290_DataAll_evts%d.hst_c1_tdcCh0_7.png",rn, nevt));
  
  c2->Divide (2, 4);
  c2->cd(1); tCh8->Draw();
  c2->cd(2); tCh9->Draw();
  c2->cd(3); tCh10->Draw();
  c2->cd(4); tCh11->Draw();
  c2->cd(5); tCh12->Draw();
  c2->cd(6); tCh13->Draw();
  c2->cd(7); tCh14->Draw();
  c2->cd(8); tCh15->Draw();
  c2->Modified();
  c2->Update();
  c2->Print(Form("./data/rn%d_V1290_DataAll_evts%d.hst_c2_tdcCh8_15.png",rn, nevt));

  //Writing hst
  hst->Write();
  return 0;
}

